local lightningStrike = require("#celeste.LightningStrike")

local function onBegin()
	-- Makes the "Skip Cutscene" button not appear
	engine.Scene.InCutscene = false
	engine.Scene:CancelCutscene()
    lightningRoutine()
end

local function onEnd(level, wasSkipped)
    -- This "cutscene" should never end!
    die()
end

local function spawnLightning(x,y)
	-- C#
	-- level.Add(new LightningStrike(new Vector2(player.X + 60f, level.Bounds.Bottom - 180), 10, 200f));
    -- level.Add(new LightningStrike(new Vector2(player.X + 220f, level.Bounds.Bottom - 180), 40, 200f, 0.25f));
    -- Audio.Play("event:/new_content/game/10_farewell/lightning_strike");
	l = lightningStrike(vector2(x,y), math.random(0,12345), math.random(100,260), 0)
	engine.Scene:Add(l)
	playSound("event:/new_content/game/10_farewell/lightning_strike")
	
end

function lightningRoutine()
	relativePos = player.Position.X - engine.Scene.LevelOffset.X
	spawnLightning(player.Position.X + (relativePos * (math.random(-1, 1) / 12)), engine.Scene.Bounds.Bottom - 180)
	wait(math.random(1,4))
	lightningRoutine()
end

return onBegin, onEnd